astro py:docs

- Index
- Modules

### Navigation

- next »
- « previous |
- Astropy v1.1.1 »
- Time and Dates (`astropy.time`) »
- TimeDatetime

# TimeDatetime

class `astropy.time.``TimeDatetime`(val1, val2, scale, precision, in_subfmt, out_subfmt, from_jd=False)

  Bases: `astropy.time.TimeUnique`

  Represent date as Python standard library `datetime` object

  Example:

      >>> from astropy.time import Time
      >>> from datetime import datetime
      >>> t = Time(datetime(2000, 1, 2, 12, 0, 0), scale='utc')
      >>> t.iso
      '2000-01-02 12:00:00.000'
      >>> t.tt.datetime
      datetime.datetime(2000, 1, 2, 12, 1, 4, 184000)

  Attributes Summary

  `name` |
  `value` | Convert to (potentially timezone-aware) `datetime` object.

  Methods Summary

  `set_jds`(val1, val2) | Convert datetime object contained in val1 to jd1, jd2
  `to_value`([timezone, parent]) | Convert to (potentially timezone-aware) `datetime` object.

  Attributes Documentation

  `name` = u'datetime'
  `value`

    Convert to (potentially timezone-aware) `datetime` object.

    If `timezone` is not `None`, return a timezone-aware datetime object.

    Parameters:

    timezone : {`tzinfo`, None} (optional)

    > If not `None`, return timezone-aware datetime.

    Returns:

    `datetime`

    > If `timezone` is not `None`, output will be timezone-aware.

  Methods Documentation

  `set_jds`(val1, val2)

    Convert datetime object contained in val1 to jd1, jd2

  `to_value`(timezone=None, parent=None)

    Convert to (potentially timezone-aware) `datetime` object.

    If `timezone` is not `None`, return a timezone-aware datetime object.

    Parameters:

    timezone : {`tzinfo`, None} (optional)

    > If not `None`, return timezone-aware datetime.

    Returns:

    `datetime`

    > If `timezone` is not `None`, output will be timezone-aware.